<?php
if($this->session->userdata('is_logged_in')===FALSE){
			redirect('login');
}

/*$idperkara=$this->encrypt->decode(base64_decode($enc));
$idperkara = intval($idperkara);
if(!is_numeric($idperkara)){
    show_404();
	exit();
}*/
/*$idpembuatakta=$this->encrypt->decode(base64_decode($idpembuatakta));
$idpembuatakta = intval($idpembuatakta);
if(!is_numeric($idpembuatakta)){
    show_404();
	exit();
}*/
/*$idput=$this->encrypt->decode(base64_decode($idput));
$idput = intval($idput);
if(!is_numeric($idput)){
    show_404();
	exit();
}*/
//$diwakilkan=intval($diwakilkan);

//$idperkara = intval($idperkara);
//$idpembuatakta = intval($idpembuatakta);
//$idput = intval($idput);

foreach ($template->result() as $template)
{
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

$url = base_url("resources/template/relaas/perdata_tun/".$filename.".rtf");

// $url = base_url("resources/template/PID_40_510_636.rtf");
// $judul = "AktaPermintaanPeninjauanKembaliOlehKuasaHukumTerpidana_";


$Template = file_get_contents($url);
//=============================================roby======================================================
$perkara = $dataTemplate;
$itunganPerkara = count($perkara);
//print_r($itunganPerkara);
$terpidana = array();
foreach ($perkara->result() as $perkara) {
			$nomorPerkara = $perkara->nomor_perkara;
			$no = explode("/",$perkara->nomor_perkara);
			$nomor = $no[0];
			$kodePerkara = $no[1];
			$tahunPerkara = $no[2];
			$kodePN = $no[3];
			$nomorPermohonan = $nomor."/Akta ".$kodePerkara."/".$tahunPerkara."/".$kodePN;
			$namaPN = $this->templatehelper->standradnaming($perkara->namaPengadilan);
			$namaPanitera = $this->templatehelper->standradnaming($perkara->pw);
			$tahapan = $perkara->Tahapan;
			$noPerkaraTahapan = $this->templatehelper->standradnaming($perkara->nomorPerkaraTahapan);
			$tglPutusTahapan = $this->templatehelper->convertKeTglIndo($perkara->putusan);
			//$amarPutusTahapan = $perkara->amarPutusTahapan;
			$statusPanitera = $this->templatehelper->standradnaming($perkara->pejabat);
			$tglpermohonan_pk = $this->templatehelper->convertKeTglIndo($perkara->permohonan_pk);
			$namaPihak = $perkara->namaPihak;
			$pekerjaanPihak = $perkara->pekerjaanPihak;
			$alamatPihak = $perkara->alamatPihak;
			//$pihakAsalText = $perkara->pihak_asal_text;
			//$tanggalSuratKuasa = $perkara->tanggalSuratKuasa;
			//$hariCabutPK = $this->templatehelper->getHari($perkara->catatan_putusan_pk);
			//$tglCabutPK = $this->templatehelper->convertKeTglIndo($perkara->catatan_putusan_pk);
			$hariPemberitahuanPutusPK_pihak1 = $this->templatehelper->getHari($perkara->pemberitahuan_putusan_pk_pihak1);
			$tglPemberitahuanPutusPK_pihak1 = $this->templatehelper->convertKeTglIndo($perkara->pemberitahuan_putusan_pk_pihak1);
			$hariPemberitahuanPutusPK_pihak2 = $this->templatehelper->getHari($perkara->pemberitahuan_putusan_pk_pihak2);
			$tglPemberitahuanPutusPK_pihak2 = $this->templatehelper->convertKeTglIndo($perkara->pemberitahuan_putusan_pk_pihak2);
			$hariPutusPK = $this->templatehelper->getHari($perkara->tglPutusPK);
			$tglPutusPK = $this->templatehelper->convertKeTglIndo($perkara->tglPutusPK);
			$amarPutusPK = $perkara->amar_putusan_pk;
			$nomorPutusPK = $perkara->nomor_putusan_pk;
}

//==============================================================================//
#Insert Into Dokumen#
/*$jaksa = $infoDataJaksaPK;
foreach ($jaksa->result() as $rows) {
	$namaJaksa = $this->templatehelper->standradnaming($rows->nama);
	$nipJaksa = $rows->NIP;
	$pekerjaan = $this->templatehelper->standradnaming($rows->pekerjaan);
	$kejaksaan = $this->templatehelper->standradnaming($rows->kejaksaan);
}*/
	
	if(empty($nomorPerkara)){ $nomorPerkara = '....................'; }
	//if(empty($no)){ $no = '........'; }
	//if(empty($kodePerkara)){ $kodePerkara = '........'; }
	//if(empty($tahunPerkara)){ $tahunPerkara = '........'; }
	//if(empty($kodePN)){ $kodePN = '........'; }
	if(empty($nomorPermohonan)){ $nomorPermohonan = '....................'; }
	if(empty($namaPN)){ $namaPN = '....................'; }
	if(empty($namaPanitera)){ $namaPanitera = '....................'; }
	if(empty($tahapan)){ $tahapan = '........'; }
	if(empty($noPerkaraTahapan)){ $noPerkaraTahapan = '....................'; }
	if(empty($tglPutusTahapan)){ $tglPutusTahapan = '....................'; }
	if(empty($statusPanitera)){ $statusPanitera = '....................'; }
	if(empty($tglpermohonan_pk)){ $tglpermohonan_pk = '....................'; }
	if(empty($namaPihak)){ $namaPihak = '....................'; }
	if(empty($pekerjaanPihak)){ $pekerjaanPihak = '....................'; }
	if(empty($alamatPihak)){ $alamatPihak = '....................'; }
	//if(empty($pihakAsalText)){ $pihakAsalText = '....................'; }
	//if(empty($tanggalSuratKuasa)){ $tanggalSuratKuasa = '....................'; }
	//if(empty($amarPutusTahapan)){ $amarPutusTahapan = '....................'; }
	//if(empty($hariCabutPK)){ $hariCabutPK = '....................'; }
	//if(empty($tglCabutPK)){ $tglCabutPK = '....................'; }	
	if(empty($hariPemberitahuanPutusPK_pihak1)){ $hariPemberitahuanPutusPK_pihak1 = '....................'; }
	if(empty($tglPemberitahuanPutusPK_pihak1)){ $tglPemberitahuanPutusPK_pihak1 = '....................'; }	
	if(empty($hariPemberitahuanPutusPK_pihak2)){ $hariPemberitahuanPutusPK_pihak2 = '....................'; }	
	if(empty($tglPemberitahuanPutusPK_pihak2)){ $tglPemberitahuanPutusPK_pihak2 = '....................'; }
	if(empty($hariPutusPK)){ $hariPutusPK = '....................'; }
	if(empty($tglPutusPK)){ $tglPutusPK = '....................'; }
	if(empty($amarPutusPK)){ $amarPutusPK = '....................'; }
	if(empty($nomorPutusPK)){ $nomorPutusPK = '....................'; }

//--------------------------------------------------------------------------------//
	$Template = str_replace('#nomorperkara#',''.$nomorPerkara.'',$Template);
	$Template = str_replace('#nomorpermohonan#',''.$nomorPermohonan.'',$Template);
	$Template = str_replace('#namapanitera#',''.$namaPanitera.'',$Template);
	$Template = str_replace('#namapn#',''.$namaPN.'',$Template);
	$Template = str_replace('#tahapan#',''.$tahapan.'',$Template);
	$Template = str_replace('#jenisputusan#',''.$tahapan.'',$Template);
	$Template = str_replace('#nomorputusan#',''.$noPerkaraTahapan.'',$Template);
	$Template = str_replace('#tanggalputusan#',''.$tglPutusTahapan.'',$Template);
	$Template = str_replace('#statuspanitera#',''.$statusPanitera.'',$Template);
	$Template = str_replace('#tanggalpk#',''.$tglpermohonan_pk.'',$Template);
	$Template = str_replace('#haripk#',''.$this->templatehelper->getHari($perkara->permohonan_pk).'',$Template);
	$Template = str_replace('#namaPihak#',''.$namaPihak.'',$Template);
	$Template = str_replace('#pekerjaanPihak#',''.$pekerjaanPihak.'',$Template);
	$Template = str_replace('#alamatPihak#',''.$alamatPihak.'',$Template);
	//$Template = str_replace('#pihakAsal#',''.$pihakAsalText.'',$Template);
	//$Template = str_replace('#tanggalSuratKuasa#',''.$tanggalSuratKuasa.'',$Template);
	//$Template = str_replace('#amarPutusTahapan#',''.$amarPutusTahapan.'',$Template);
	//$Template = str_replace('#hariCabutPK#',''.$hariCabutPK.'',$Template);
	//$Template = str_replace('#tglCabutPK#',''.$tglCabutPK.'',$Template);
	$Template = str_replace('#hariPutusPK#',''.$hariPutusPK.'',$Template);
	$Template = str_replace('#tglPutusPK#',''.$tglPutusPK.'',$Template);
	$Template = str_replace('#amarPutusPK#',''.$amarPutusPK.'',$Template);
	$Template = str_replace('#hariPemberitahuanPutusPK_pihak1#',''.$hariPemberitahuanPutusPK_pihak1.'',$Template);
	$Template = str_replace('#tglPemberitahuanPutusPK_pihak1#',''.$tglPemberitahuanPutusPK_pihak1.'',$Template);
	$Template = str_replace('#hariPemberitahuanPutusPK_pihak2#',''.$hariPemberitahuanPutusPK_pihak2.'',$Template);
	$Template = str_replace('#tglPemberitahuanPutusPK_pihak2#',''.$tglPemberitahuanPutusPK_pihak2.'',$Template);
	$Template = str_replace('#nomorPutusPK#',''.$nomorPutusPK.'',$Template);

	$infoPenggugat='';
	$jmlPihak1=$datapihakpenggugat->num_rows;
	$i=0;
	if (!empty($datapihakpenggugat)) {
		foreach ($datapihakpenggugat->result() as $row) {
			$infoPenggugat .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
			$infoPenggugat .= ', Tempat tinggal di '.$row->alamat;
			$infoPenggugat .= ', untuk selanjutnya disebut sebagai Penggugat '.$jmlPihak1>1?$this->templatehelper->converToAngkaRomawi($row->urutan):'';
		}
	}
	$Template = str_replace('#infoPenggugat#',''.$infoPenggugat.'',$Template);
	if(empty($infoPenggugat)){ $infoPenggugat = '....................'; }

	$infoTergugat='';
	$jmlPihak2=$datapihaktergugat->num_rows;
	$i=0;
	if (!empty($datapihaktergugat)) {
		foreach ($datapihaktergugat->result() as $row) {
			$infoTergugat .= $this->templatehelper->standradnaming($row->nama).' Warga negara Indonesia, pekerjaan '.$row->pekerjaan;
			$infoTergugat .= ', Tempat tinggal di '.$row->alamat;
			$infoTergugat .= ', untuk selanjutnya disebut sebagai Tergugat '.$jmlPihak2>1?$this->templatehelper->converToAngkaRomawi($row->urutan):'';
		}
	}

	$Template = str_replace('#infoTergugat#',''.$infoTergugat.'',$Template);
	if(empty($infoTergugat)){ $infoTergugat = '....................'; }

header("Content-type: application/rtf");
header("Content-disposition: inline; filename=".$namafile."-".$nomorPerkara.".rtf");
header("Content-length: ".strlen($Template));
echo $Template;
?>